Groovy 1.7.0

## groovy.swing.factory
Class RichActionWidgetFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.RichActionWidgetFactory

    class RichActionWidgetFactory
    extends AbstractFactory

author:
  shemnon

Property Summary
`static Class[]` | `ACTION_ARGS`
`static Class[]` | `ICON_ARGS`
`static Class[]` | `STRING_ARGS`
`Constructor` | `actionCtor`
`Constructor` | `iconCtor`
`Class` | `klass`
`Constructor` | `stringCtor`

Constructor Summary
`RichActionWidgetFactory(Class klass)`

Method Summary
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### ACTION_ARGS

    static final Class[] ACTION_ARGS

### ICON_ARGS

    static final Class[] ICON_ARGS

### STRING_ARGS

    static final Class[] STRING_ARGS

### actionCtor

    final Constructor actionCtor

### iconCtor

    final Constructor iconCtor

### klass

    final Class klass

### stringCtor

    final Constructor stringCtor

Constructor Detail

### RichActionWidgetFactory

    public RichActionWidgetFactory(Class klass)

Method Detail

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

Copyright © 2003-2009 The Codehaus. All rights reserved.